Difference between revisions of "Tracking Dependencies"

From Inkscape Wiki
Jump to navigation Jump to search
m (Reverted edits by JonCruz (Talk); changed back to last version by Pjrm)
Line 105: Line 105:
 
! cairo
 
! cairo
 
! glib
 
! glib
 +
! glibmm
 
! gtk+
 
! gtk+
 +
! gtkmm
 
! pango
 
! pango
 
|-
 
|-
Line 111: Line 113:
 
| ?
 
| ?
 
| 2.12
 
| 2.12
 +
| ?
 
| 2.10.14
 
| 2.10.14
 +
| ?
 
| ?
 
| ?
 
|-
 
|-
Line 117: Line 121:
 
| ?
 
| ?
 
| 2.14
 
| 2.14
 +
| ?
 
| 2.12.8
 
| 2.12.8
 +
| ?
 
| ?
 
| ?
 
|-
 
|-
Line 123: Line 129:
 
| ?
 
| ?
 
| 2.16
 
| 2.16
 +
| ?
 
| 2.12.10
 
| 2.12.10
 +
| ?
 
| ?
 
| ?
 
|-
 
|-
Line 129: Line 137:
 
| 1.4.14
 
| 1.4.14
 
| 2.14.1
 
| 2.14.1
 +
| ?
 
| 2.12.0
 
| 2.12.0
 +
| ?
 
| 1.18.2
 
| 1.18.2
 
|-
 
|-
 
| Open SuSE 11.0
 
| Open SuSE 11.0
 +
| ?
 
| ?
 
| ?
 
| ?
 
| ?
 
| 2.12.9
 
| 2.12.9
 
| ?
 
| ?
 +
| ?
 +
|-
 +
| Ubuntu 6.06 LTS (Dapper)
 +
| 1.0.4
 +
| 2.10.2
 +
| 2.10.2
 +
| 2.8.20
 +
| 2.2.12
 +
| 1.12.2
 
|-
 
|-
 
| Ubuntu 7.10 (Gutsy)
 
| Ubuntu 7.10 (Gutsy)
 
| 1.4.10
 
| 1.4.10
 
| 2.14.1
 
| 2.14.1
 +
| 2.14.0
 
| 2.12.0
 
| 2.12.0
 +
| 2.2.12
 
| 1.18.3
 
| 1.18.3
 
|-
 
|-
Line 147: Line 169:
 
| 1.6.0
 
| 1.6.0
 
| 2.16.6
 
| 2.16.6
 +
| 2.16.0
 
| 2.12.9
 
| 2.12.9
 +
| 2.12.5
 
| 1.20.5
 
| 1.20.5
 
|-
 
|-
Line 153: Line 177:
 
| 1.8.0
 
| 1.8.0
 
| 2.18.2
 
| 2.18.2
 +
| 2.18.1
 
| 2.14.4
 
| 2.14.4
 +
| 2.14.1
 
| 1.22.1
 
| 1.22.1
 
|-
 
|-
Line 159: Line 185:
 
| 1.2.4
 
| 1.2.4
 
| 2.12.4
 
| 2.12.4
 +
| ?
 
| 2.8.20
 
| 2.8.20
 +
| ?
 
| 1.14.8
 
| 1.14.8
 
|}
 
|}

Revision as of 17:05, 13 April 2009

(stub contents in need of filling out)

Overview

We need help getting our basic lib dependencies listed out and kept up to date. Also we need to track which versions of which distros have the needed dependencies.


To get glib and GTK+ dependencies figured out, people can go through the API documentation and look for the 'since' entries saying when calls were added. Then look for those calls in our source. Voila! we'll have base minimum dependencies figured out.


Libs

C++ bindings are not included, since their required versions match those of the C counterparts.

Library v 0.45 v 0.46 v 0.47
Boehm-GC ? ? ?
Cairo ? ? ?
GDK ? ? ?
Glib ? ? 2.16
GTK+ 2.8 2.10 2.12
GNU Scientific Library X X ?
LittleCMS ? ? 1.13
libxml ? ? 2.6.11
libxslt ? ? 1.0.15
Pango ? ? ?
Poppler ? ? 0.5.9
libsigc++ ? ? 2.0.12

Functions Used

Function Lib Since Required
g_timeout_add_seconds Glib 2.14 ?

Distros

Note: This table is not relevant to Windows and (non-fink) MacOS X, where we ship the desired version with Inkscape.

Distro cairo glib glibmm gtk+ gtkmm pango
Fedora 7 ? 2.12 ? 2.10.14 ? ?
Fedora 8 ? 2.14 ? 2.12.8 ? ?
Fedora 9 ? 2.16 ? 2.12.10 ? ?
Open SuSE 10.3 1.4.14 2.14.1 ? 2.12.0 ? 1.18.2
Open SuSE 11.0 ? ? ? 2.12.9 ? ?
Ubuntu 6.06 LTS (Dapper) 1.0.4 2.10.2 2.10.2 2.8.20 2.2.12 1.12.2
Ubuntu 7.10 (Gutsy) 1.4.10 2.14.1 2.14.0 2.12.0 2.2.12 1.18.3
Ubuntu 8.04 LTS (Hardy) 1.6.0 2.16.6 2.16.0 2.12.9 2.12.5 1.20.5
Ubuntu 8.10 (Intrepid) 1.8.0 2.18.2 2.18.1 2.14.4 2.14.1 1.22.1
Xandros 1.2.4 2.12.4 ? 2.8.20 ? 1.14.8